{
  "request_no": "PR-20251016-002",
  "job_no": "1",
  "created_at": "2025-10-16T05:44:08.264221",
  "materials": [
    {
      "material_id": 3540,
      "description": "HALF NIPPLE, SMLS, SCH 80S, ASTM A312 TP304 SW X NPT",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3542,
      "description": "HALF NIPPLE, SMLS, SCH 80S, ASTM A312 TP304 SW X NPT",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3682,
      "description": "HALF NIPPLE, SMLS, SCH 160, ASTM A106 B SW * NPT",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A106 B",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3831,
      "description": "HALF NIPPLE, SMLS, SCH 160, ASTM A106 B SW X NPT",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 4,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3835,
      "description": "HALF NIPPLE, SMLS, SCH 160, ASTM A106 B SW X NPT",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3838,
      "description": "HALF NIPPLE, SMLS, SCH 160, ASTM A106 B SW X NPT",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3840,
      "description": "NIPPLE, SMLS, SCH 160, ASTM A106 B",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4151,
      "description": "90 LR ELL, SMLS, SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "10\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4152,
      "description": "90 LR ELL, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 25,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4177,
      "description": "90 LR ELL, SMLS, SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "2\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4183,
      "description": "90 LR ELL, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "3\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 12,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4195,
      "description": "90 LR ELL, SMLS, SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "3\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 4,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4199,
      "description": "90 LR ELL, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "4\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 7,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4206,
      "description": "90 SR ELL, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "4\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4207,
      "description": "90 LR ELL, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "6\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 7,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4214,
      "description": "45 ELL, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "6\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4216,
      "description": "TEE, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 4,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4220,
      "description": "TEE, SMLS, SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "2\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4221,
      "description": "TEE, SMLS, SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "3\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4222,
      "description": "TEE, SMLS, SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "3\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4223,
      "description": "TEE RED, SMLS, SCH 40 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "2\" x 1 1/2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4226,
      "description": "TEE RED, SMLS, SCH 40S X SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "2\" x 1 1/2\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4228,
      "description": "TEE RED, SMLS, SCH 40 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "3\" x 1 1/2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4231,
      "description": "TEE RED, SMLS, SCH 40 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "4\" x 1 1/2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4233,
      "description": "RED CONC, SMLS, SCH 80 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "1 1/2\" x 1\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4238,
      "description": "RED CONC, SMLS, SCH 80 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "1 1/2\" x 3/4\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4240,
      "description": "RED CONC, SMLS, SCH 80 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "1\" x 3/4\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4245,
      "description": "RED CONC, SMLS, SCH 40S X SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "12\" x 10\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4246,
      "description": "RED CONC, SMLS, SCH 40 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "2\" x 1 1/2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4252,
      "description": "RED CONC, SMLS, SCH 40S X SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "2\" x 1 1/2\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4253,
      "description": "RED CONC, SMLS, SCH 40 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "2\" x 1\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4254,
      "description": "RED CONC, SMLS, SCH 40 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "3\" x 1 1/2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4256,
      "description": "RED CONC, SMLS, SCH 40S X SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "3\" x 1\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4257,
      "description": "RED CONC, SMLS, SCH 40 X SCH 40, ASTM A234 WPB",
      "category": "FITTING",
      "size": "3\" x 2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4258,
      "description": "RED CONC, SMLS, SCH 40S X SCH 40S, ASTM A403 WP304",
      "category": "FITTING",
      "size": "3\" x 2\"",
      "material_grade": "ASTM A403 WP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4259,
      "description": "RED CONC, SMLS, SCH 80 X SCH 80, ASTM A234 WPB",
      "category": "FITTING",
      "size": "3/4\" x 1/2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5136,
      "description": "90 ELL, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5138,
      "description": "90 ELL, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A105",
      "quantity": 57,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5142,
      "description": "90 ELL, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 9,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5146,
      "description": "90 ELL, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 32,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5178,
      "description": "90 ELL, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1 1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 9,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5245,
      "description": "90 ELL, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 32,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5277,
      "description": "90 ELL, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 24,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5301,
      "description": "TEE, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 7,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5308,
      "description": "TEE, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A105",
      "quantity": 15,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5323,
      "description": "TEE, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5324,
      "description": "TEE, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5326,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\" x 1\"",
      "material_grade": "ASTM A105",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5331,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\" x 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5333,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5339,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1\" x 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 7,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5346,
      "description": "TEE RED, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1\" x 1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5349,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5355,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "2\" x 1\"",
      "material_grade": "ASTM A105",
      "quantity": 4,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5359,
      "description": "TEE RED, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3/4\" x 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5364,
      "description": "CAP, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5365,
      "description": "SOLID HEX. PLUG, NPT(M), 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5366,
      "description": "CAP, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5367,
      "description": "CAP, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5368,
      "description": "SOLID HEX. PLUG, NPT(M), 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5370,
      "description": "SOLID HEX. PLUG, NPT(M), 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5371,
      "description": "CAP, SMLS, SCH 40, BW, ASTM A234 WPB",
      "category": "FITTING",
      "size": "2\"",
      "material_grade": "ASTM A234 WPB",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5372,
      "description": "CAP, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5373,
      "description": "SOLID HEX. PLUG, NPT(M), 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 36,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5409,
      "description": "SOLID HEX. PLUG, NPT(M), 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5426,
      "description": "SOCK O LET, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "10\" x 1 1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5427,
      "description": "SOCK O LET, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "10\" x 1\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5428,
      "description": "SOCK O LET, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "10\" x 3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5429,
      "description": "SOCK O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "2\" x 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5431,
      "description": "ELL O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "2\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5432,
      "description": "ELL O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5433,
      "description": "SOCK O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 9,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5442,
      "description": "SOCK O LET, SW, 3000LB, ASTM A182 F304",
      "category": "FITTING",
      "size": "3\" x 3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5445,
      "description": "SOCK O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "3\" x 1\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5446,
      "description": "SOCK O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "4\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5447,
      "description": "SOCK O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "6\" x 1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5449,
      "description": "SOCK O LET, SW, 3000LB, ASTM A105",
      "category": "FITTING",
      "size": "6\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    }
  ],
  "grouped_materials": []
}